using System;
using System.Collections.Generic;
using System.Text;

namespace hiperbula
{
    class Point
    {
    /**
 *     - <br>
 * doubles    
 */
   //Attributes of class:
    private double x;
    private double y;

    //Constructors of class:

    /**
     *constructs a new point
     *@param x : the point's x coordinate
     *@param y : the point's y coordinate
     */
    public Point(double x, double y)
    {
        this.x = x;
        this.y = y;
    }

    /**
     * Copy Constructor
     * constructs a new point
     * @param point: the point to be copied
     */
    public Point(Point point)
    {
        this.x = point.x;
        this.y = point.y;
    }

    // other methods in class:
    /**
     *returns the point's x coordinate
     */
    public double getX()
    {
        return this.x;
    }


    /**
    *returns the point's y coordinate
    */
    public double getY()
    {
        return this.y;
    }

    /**
     *sets the point's x coordinate
     *@param newX the value to be set
     */
    public void setX(double newX)
    {
        this.x = newX;
    }


    /**
     *sets the point's y coordinate
     *@param newY the value to be set
     */
    public void setY(double newY)
    {
        this.y = newY;
    }


    /**
     * returns the string that represents the point.  
     */
    public String toString()
    {
        return "(" + this.x + "," + this.y + ")";
    }



    }
}

