using System;
using System.Collections.Generic;
using System.Text;

namespace hiperbula
{
    class Program
    {
        static bool isOnTheGraph(Parabula pr, Point p)
            //             
            //  .    
            //:    
        {
            double y = pr.calculateY(p.getX());
            return (y == p.getY());   
        }

        static void Main(string[] args)
        {
            double a, b, c;
            Console.WriteLine("enter values:");
            a = double.Parse(Console.ReadLine());
            while (a == 0)
            {
                Console.WriteLine("the first value cannot be 0");
                Console.WriteLine("enter new value:");
                a = double.Parse(Console.ReadLine());
            }
            b = double.Parse(Console.ReadLine());
            c = double.Parse(Console.ReadLine());
            Parabula pr=new Parabula(a, b, c);
            Console.WriteLine(pr.toString());
            double[] roots = pr.getRoots();
            if (roots.Length == 0)
                Console.WriteLine("no roots");
            else
                if (roots.Length == 1)
                    Console.WriteLine("only one root: " + roots[0]);
                else
                {
                    Console.WriteLine("x1=" + roots[0]);
                    Console.WriteLine("x2=" + roots[1]);
                }
            double x, y;
            Console.WriteLine("enter point coordinates:");
            x = double.Parse(Console.ReadLine());
            y = double.Parse(Console.ReadLine());
            Point p = new Point(x, y);
            Console.WriteLine("the point {0} is on the graph: {1}", p.toString(), pr.isOnTheGraph(p));
            Console.WriteLine("the point {0} is on the graph: {1}", p.toString(), isOnTheGraph(pr,p));
            Console.WriteLine("the minmax point of the parabula is: {0}",pr.getMinMax().toString());
        }
    }
}
